/*
 *  soapUI, copyright (C) 2004-2008 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.iface;

/**
 * Listener for Submit-related events
 * 
 * @author Ole.Matzura
 */

public interface SubmitListener
{
	/**
	 * Called before submittal of a request
	 *  
	 * @param submit the submit being submitted
	 * @return boolean telling if the submit should proceed.  
	 */
	
   public boolean beforeSubmit( Submit submit, SubmitContext context );
   
   /**
    * Called after submittal of a request
    * 
    * @param submit the submit.
    */
   
   public void afterSubmit( Submit submit, SubmitContext context  );
}